# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Victim			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
#ifndef Victim_Random
#include			$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Random/Makefile.deps
#endif
#ifndef Victim_Round_Robin
#include			$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Round_Robin/Makefile.deps
#endif
#ifndef Victim_NLU
#include			$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_NLU/Makefile.deps
#endif
ifndef Victim_Pseudo_LRU
include				$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps
endif
#ifndef Victim_LRU
#include			$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_LRU/Makefile.deps
#endif
#ifndef Victim_FIFO
#include			$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_FIFO/Makefile.deps
#endif

#-----[ Directory ]----------------------------------------

Victim_DIR			=	$(DIR_MORPHEO)/Behavioural/Generic/Victim

#-----[ Library ]------------------------------------------

Victim_LIBRARY			= 	-lVictim			\
					$(Victim_Pseudo_LRU_LIBRARY)	\
					$(Behavioural_LIBRARY)	

#					$(Victim_Random_LIBRARY)	\
#					$(Victim_Round_Robin_LIBRARY)	\
#					$(Victim_NLU_LIBRARY)		\
#					$(Victim_LRU_LIBRARY)		\
#					$(Victim_FIFO_LIBRARY)		\

Victim_DIR_LIBRARY		=	-L$(Victim_DIR)/lib			\
					$(Victim_Pseudo_LRU_DIR_LIBRARY)	\
					$(Behavioural_DIR_LIBRARY)

#					$(Victim_Random_DIR_LIBRARY)		\
#					$(Victim_Round_Robin_DIR_LIBRARY)	\
#					$(Victim_NLU_DIR_LIBRARY)		\
#					$(Victim_LRU_DIR_LIBRARY)		\
#					$(Victim_FIFO_DIR_LIBRARY)		\

#-----[ Rules ]--------------------------------------------

Victim_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) Victim_Pseudo_LRU_library;	\
				$(MAKE) --directory=$(Victim_DIR) --makefile=Makefile;

#				$(MAKE) Victim_Random_library;		\
#				$(MAKE) Victim_Round_Robin_library;	\
#				$(MAKE) Victim_NLU_library;		\
#				$(MAKE) Victim_LRU_library;		\
#				$(MAKE) Victim_FIFO_library;		\

Victim_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;		\
				$(MAKE) Victim_Pseudo_LRU_library_clean;	\
				$(MAKE) --directory=$(Victim_DIR) --makefile=Makefile clean;

#				$(MAKE) Victim_Random_library_clean;		\
#				$(MAKE) Victim_Round_Robin_library_clean;	\
#				$(MAKE) Victim_NLU_library_clean;		\
#				$(MAKE) Victim_LRU_library_clean;		\
#				$(MAKE) Victim_FIFO_library_clean;		\
